Version: 1.0.9 contains: Version: 1.0.8

This plugin is stuck in a loop. WPMUDEV advertises Version: 1.0.9 but if you update, that version also contains Version: 1.0.8 so we're stuck in a loop...